<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="120" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="net.sf.jasperreports.export.character.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="java.util.Map"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay, to_char(sysdate,'mm') thang, to_char(sysdate,'yyyy') nam from dual]]>
		</queryString>
		<field name="ngay" class="java.lang.String"/>
		<field name="thang" class="java.lang.String"/>
		<field name="nam" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="thangtc" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ? := {p0sys_funcschema}bienban_bg.rpt_doanhthu_sluongs('{p0chuky}','{p0userid}','CCCS_COMMON.','CCS_{p0tentinh}.','{p0tentinh}',''); end;]]>
	</queryString>
	<field name="cuoc" class="java.lang.Number"/>
	<field name="ten_km" class="java.lang.String"/>
	<field name="phut" class="java.lang.Number"/>
	<field name="tongtien" class="java.lang.Number"/>
	<field name="tien" class="java.lang.Number"/>
	<field name="vat" class="java.lang.Number"/>
	<field name="tong" class="java.lang.Number"/>
	<field name="nam_ck" class="java.lang.String"/>
	<field name="thang_ck" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<field name="thang" class="java.lang.String"/>
	<field name="ngay" class="java.lang.String"/>
	<field name="nam" class="java.lang.String"/>
	<field name="ten_muc" class="java.lang.String"/>
	<field name="nogoc" class="java.lang.Number"/>
	<field name="thue" class="java.lang.Number"/>
	<variable name="cuoc_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{cuoc}]]></variableExpression>
	</variable>
	<variable name="phut_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{phut}]]></variableExpression>
	</variable>
	<variable name="tien_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{tien}]]></variableExpression>
	</variable>
	<variable name="vat_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{vat}]]></variableExpression>
	</variable>
	<variable name="tong_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="cuoc_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{cuoc}]]></variableExpression>
	</variable>
	<variable name="phut_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{phut}]]></variableExpression>
	</variable>
	<variable name="vat_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{vat}]]></variableExpression>
	</variable>
	<variable name="tong_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="nogoc_1" class="java.lang.String"/>
	<variable name="thue_1" class="java.lang.String"/>
	<variable name="nogoc_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{nogoc}]]></variableExpression>
	</variable>
	<variable name="thue_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tenmuc" calculation="Sum">
		<variableExpression><![CDATA[$F{thue}]]></variableExpression>
	</variable>
	<group name="gr_tenmuc">
		<groupExpression><![CDATA[$F{ten_muc}]]></groupExpression>
		<groupHeader>
			<band height="17">
				<textField>
					<reportElement x="37" y="0" width="127" height="15"/>
					<textElement>
						<font fontName="Times New Roman" isBold="true"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[$F{ten_muc}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement x="220" y="0" width="1" height="17"/>
				</line>
				<line>
					<reportElement x="274" y="0" width="1" height="17"/>
				</line>
				<line>
					<reportElement x="34" y="0" width="1" height="17"/>
				</line>
				<line>
					<reportElement x="533" y="0" width="1" height="17"/>
				</line>
				<line>
					<reportElement x="34" y="16" width="499" height="1"/>
				</line>
				<line>
					<reportElement x="363" y="0" width="1" height="17"/>
				</line>
				<line>
					<reportElement x="164" y="0" width="1" height="17"/>
				</line>
				<line>
					<reportElement x="445" y="0" width="1" height="17"/>
				</line>
				<textField evaluationTime="Group" evaluationGroup="gr_tenmuc">
					<reportElement x="164" y="0" width="55" height="14"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($V{cuoc_2}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField evaluationTime="Group" evaluationGroup="gr_tenmuc">
					<reportElement x="184" y="0" width="89" height="14"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($V{phut_2}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField evaluationTime="Group" evaluationGroup="gr_tenmuc">
					<reportElement x="437" y="0" width="94" height="14"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tong_2}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField evaluationTime="Group" evaluationGroup="gr_tenmuc">
					<reportElement x="275" y="0" width="86" height="14"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{nogoc_2}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField evaluationTime="Group" evaluationGroup="gr_tenmuc">
					<reportElement x="360" y="0" width="85" height="14"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" isBold="true" isItalic="false" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{thue_2}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="116" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="1" width="205" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[CÔNG TY DỊCH VỤ VIỄN THÔNG]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="17" width="205" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[TRUNG TÂM TÍNH CƯỚC]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="33" width="205" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Tel: 04.37731152 - Fax: 04.38358753]]></text>
			</staticText>
			<staticText>
				<reportElement x="270" y="1" width="285" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[CỘNG HÒA XÃ HỘI CHỦ NGHĨA VIỆT NAM ]]></text>
			</staticText>
			<staticText>
				<reportElement x="270" y="17" width="285" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Độc lập - Tự do - Hạnh Phúc]]></text>
			</staticText>
			<staticText>
				<reportElement x="312" y="34" width="243" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isItalic="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Hà Nội, ngày      tháng      năm]]></text>
			</staticText>
			<line>
				<reportElement x="69" y="31" width="66" height="1"/>
			</line>
			<line>
				<reportElement x="339" y="32" width="150" height="1"/>
			</line>
			<textField>
				<reportElement x="380" y="34" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="424" y="34" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="464" y="34" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam")]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="58" width="555" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[BIÊN BẢN BÀN GIAO SỐ LIỆU CƯỚC]]></text>
			</staticText>
			<staticText>
				<reportElement x="31" y="76" width="459" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ĐIỆN THOẠI DI ĐỘNG MẠNG VINAPHONE THÁNG]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="96" width="555" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[VIỄN THÔNG TP.HỒ CHÍ MINH]]></text>
			</staticText>
			<textField>
				<reportElement x="426" y="76" width="100" height="18"/>
				<textElement verticalAlignment="Top">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{thangtc}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="48">
			<line>
				<reportElement x="34" y="3" width="499" height="1"/>
			</line>
			<line>
				<reportElement x="34" y="47" width="499" height="1"/>
			</line>
			<line>
				<reportElement x="274" y="26" width="258" height="1"/>
			</line>
			<line>
				<reportElement x="533" y="4" width="1" height="43"/>
			</line>
			<staticText>
				<reportElement x="37" y="15" width="127" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Chỉ tiêu báo cáo]]></text>
			</staticText>
			<line>
				<reportElement x="34" y="4" width="1" height="43"/>
			</line>
			<line>
				<reportElement x="164" y="4" width="1" height="43"/>
			</line>
			<line>
				<reportElement x="220" y="4" width="1" height="43"/>
			</line>
			<line>
				<reportElement x="274" y="4" width="1" height="43"/>
			</line>
			<line>
				<reportElement x="445" y="26" width="1" height="21"/>
			</line>
			<line>
				<reportElement x="363" y="26" width="1" height="21"/>
			</line>
			<staticText>
				<reportElement x="165" y="15" width="56" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Cuộc]]></text>
			</staticText>
			<staticText>
				<reportElement x="222" y="15" width="50" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Phút]]></text>
			</staticText>
			<staticText>
				<reportElement x="275" y="4" width="256" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Doanh thu]]></text>
			</staticText>
			<staticText>
				<reportElement x="277" y="27" width="83" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Doanh thu]]></text>
			</staticText>
			<staticText>
				<reportElement x="363" y="27" width="83" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Thuế]]></text>
			</staticText>
			<staticText>
				<reportElement x="448" y="27" width="83" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tổng]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="18" splitType="Stretch">
			<line>
				<reportElement x="34" y="17" width="499" height="1"/>
			</line>
			<line>
				<reportElement x="34" y="0" width="1" height="17"/>
			</line>
			<line>
				<reportElement x="164" y="0" width="1" height="17"/>
			</line>
			<line>
				<reportElement x="220" y="0" width="1" height="17"/>
			</line>
			<line>
				<reportElement x="363" y="0" width="1" height="17"/>
			</line>
			<line>
				<reportElement x="274" y="0" width="1" height="17"/>
			</line>
			<line>
				<reportElement x="445" y="0" width="1" height="17"/>
			</line>
			<line>
				<reportElement x="533" y="0" width="1" height="17"/>
			</line>
			<textField>
				<reportElement x="165" y="0" width="54" height="15"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($F{cuoc}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="37" y="0" width="127" height="15"/>
				<textElement>
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ten_km}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="222" y="0" width="51" height="15"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($F{phut}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="277" y="0" width="84" height="15"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{nogoc}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="367" y="0" width="78" height="15"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{thue}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="448" y="1" width="84" height="15"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tong}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="26"/>
	</columnFooter>
	<pageFooter>
		<band/>
	</pageFooter>
	<summary>
		<band height="155">
			<staticText>
				<reportElement x="13" y="23" width="205" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN BÊN NHẬN]]></text>
			</staticText>
			<staticText>
				<reportElement x="290" y="23" width="205" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN BÊN GIAO]]></text>
			</staticText>
			<staticText>
				<reportElement x="254" y="37" width="274" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[GIÁM ĐỐC TRUNG TÂM]]></text>
			</staticText>
			<staticText>
				<reportElement x="264" y="138" width="274" height="14"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Hồ Thanh Hải]]></text>
			</staticText>
			<staticText>
				<reportElement x="4" y="37" width="215" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[VIỄN THÔNG TP.HỒ CHÍ MINH]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
